freemarker.template.utility

## Class Collections12

- java.lang.Object
- - freemarker.template.utility.Collections12

Deprecated.
Not needed anymore, as FreeMarker now requires higher than Java 1.3

    @Deprecated
    public class Collections12
    extends Object

Implementation of missing JDK 1.3 collection features for JDK 1.2

### Field Summary

Fields
`static Map` `EMPTY_MAP` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static List` `singletonList(Object o)` Deprecated.
`static Map` `singletonMap(Object key, Object value)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_MAP

    public static final Map EMPTY_MAP

Deprecated.

### Method Detail

#### singletonMap

    public static Map singletonMap(Object key,
                                   Object value)

Deprecated.

#### singletonList

    public static List singletonList(Object o)

Deprecated.